---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# Update report schedule

Update scheduled report export

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Report",
      "description": "Create, manage and export reports and report results based on SQL queries against your data."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/analytics/report/{id}/schedule/{uuid}": {
      "patch": {
        "tags": [
          "Report"
        ],
        "operationId": "analytics.report.schedule.update",
        "summary": "Update report schedule",
        "description": "Update scheduled report export",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          },
          {
            "in": "path",
            "name": "uuid",
            "required": true,
            "description": "The resource's UUID identifier.",
            "schema": {
              "description": "UUID identifier of the resource.",
              "type": "string",
              "pattern": "^$|^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}$",
              "example": "a00fd11e-3a67-433b-83c0-4e815fd4a0e1"
            }
          }
        ],
        "requestBody": {
          "description": "Payload for updating report schedule",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                  "schedule"
                ],
                "properties": {
                  "schedule": {
                    "type": "object",
                    "additionalProperties": false,
                    "properties": {
                      "crontab": {
                        "example": "0 0 * * *",
                        "type": "string",
                        "description": "Crontab expression for scheduling the report"
                      },
                      "exportType": {
                        "example": "email",
                        "type": "string",
                        "description": "Export type"
                      },
                      "exportFormat": {
                        "example": "csv",
                        "type": "string",
                        "description": "Export format"
                      },
                      "emailList": {
                        "example": [
                          "email@xentral.com",
                          "email1@xentral.com"
                        ],
                        "type": "array",
                        "description": "List of email addresses to send the report to",
                        "items": {
                          "type": "string",
                          "example": "email@xentral.com",
                          "description": "Email address"
                        }
                      },
                      "senderAccountId": {
                        "example": 5,
                        "type": "integer",
                        "nullable": true,
                        "description": "ID of the email account to use for sending"
                      }
                    }
                  }
                }
              },
              "examples": {
                "example": {
                  "summary": "Example of a report schedule",
                  "value": {
                    "schedule": {
                      "crontab": "0 0 * * *",
                      "exportType": "email",
                      "exportFormat": "csv",
                      "emailList": [
                        "email@xentral.com",
                        "email1@xentral.com"
                      ],
                      "senderAccountId": 5
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Report schedule response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "required": [
                    "data"
                  ],
                  "properties": {
                    "data": {
                      "type": "array",
                      "nullable": true,
                      "items": {
                        "type": "object",
                        "additionalProperties": false,
                        "required": [
                          "reportId",
                          "uuid",
                          "crontab",
                          "exportType",
                          "exportFormat",
                          "createdAt",
                          "updatedAt"
                        ],
                        "properties": {
                          "reportId": {
                            "example": 1,
                            "type": "number",
                            "description": "ID of the report"
                          },
                          "crontab": {
                            "example": "0 0 * * *",
                            "type": "string",
                            "description": "Crontab expression for scheduling the report"
                          },
                          "exportType": {
                            "example": "email",
                            "type": "string",
                            "description": "Export type that is triggered by the schedule"
                          },
                          "exportFormat": {
                            "example": "txt",
                            "type": "string",
                            "description": "Export format of the result"
                          },
                          "emailList": {
                            "example": [
                              "email@xentral.com",
                              "email1@xentral.com"
                            ],
                            "type": "array",
                            "items": {
                              "type": "string",
                              "example": "email@xentral.com",
                              "description": "List of email addresses to send the report to"
                            }
                          },
                          "senderAccountId": {
                            "example": 5,
                            "type": "integer",
                            "nullable": true,
                            "description": "ID of the email account to use for sending"
                          },
                          "uuid": {
                            "example": "123e4567-e89b-12d3-a456-426614174000",
                            "type": "string",
                            "format": "uuid",
                            "description": "UUID of the report schedule"
                          },
                          "lastExecution": {
                            "example": "2023-01-01T00:00:00+00:00",
                            "type": "string",
                            "format": "date-time",
                            "nullable": true,
                            "description": "Last execution time"
                          },
                          "nextExecution": {
                            "example": "2023-01-01T00:00:00+00:00",
                            "type": "string",
                            "format": "date-time",
                            "description": "Next execution time"
                          },
                          "createdAt": {
                            "example": "2023-01-01T00:00:00+00:00",
                            "type": "string",
                            "format": "date-time",
                            "description": "Creation time"
                          },
                          "updatedAt": {
                            "example": "2023-01-01T00:00:00+00:00",
                            "type": "string",
                            "format": "date-time",
                            "description": "Last update time"
                          },
                          "reportTitle": {
                            "type": "string",
                            "nullable": true,
                            "description": "Title of the report",
                            "example": "Sales Report"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "IETF RFC 9457 Problem API compliant response",
            "content": {
              "application/problem+json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "violations"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/request-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1,
                          "example": "Request payload validation failed."
                        },
                        "violations": {
                          "oneOf": [
                            {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "example": {
                                  "username": [
                                    "This value should not be blank."
                                  ],
                                  "email": [
                                    "This value is not a valid email address."
                                  ]
                                }
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            },
                            {
                              "type": "object",
                              "example": {
                                "_": [
                                  "This value should contain at most `9` elements."
                                ]
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            }
                          ]
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflict"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "items"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflictItems"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "items": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "title",
                              "messages"
                            ],
                            "properties": {
                              "id": {
                                "type": "integer"
                              },
                              "title": {
                                "type": "string",
                                "minLength": 1
                              },
                              "messages": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "scopes"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://developer.xentral.com/reference/problems#token-scopes"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "scopes": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "object",
                          "additionalProperties": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "415": {
            "description": "Resource representation send in the request is not supported."
          }
        }
      }
    }
  }
}
```